> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a token by ID

> Retrieves a single token by its ID, including its value.



## OpenAPI

````yaml /api/specs/identity-api.json get /identity/v2/tokens/{id}
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v2/tokens/{id}:
    get:
      tags:
        - Token
      summary: Retrieve a token by ID
      description: Retrieves a single token by its ID, including its value.
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: The ID of the token to retrieve
      responses:
        '200':
          description: The requested token
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/Token'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityDefaultForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityNotFoundError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityInternalServerError'
      security:
        - oauth2:
            - read:tokenvalue
components:
  schemas:
    Token:
      type: object
      properties:
        id:
          type: string
        value:
          type: string
          nullable: true
        network:
          type: string
        isValid:
          type: boolean
        type:
          type: string
          enum:
            - AD_HOC_PAYMENT_TERMINAL
            - AD_HOC_USER
            - APP_USER
            - OTHER
            - PAYMENT_TERMINAL
            - RFID
            - ROAMING_PARTNER
            - VEHICLE
        whitelistType:
          type: string
          enum:
            - ALWAYS
            - ALLOWED
            - ALLOWED_OFFLINE
            - NEVER
        driver:
          type: string
        paymentTerminal:
          type: string
        name:
          type: string
          nullable: true
        expiresAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - network
        - isValid
        - whitelistType
        - type
        - createdAt
        - updatedAt
    DefaultUnauthorizedError:
      type: object
      description: The response body for a 401 request
      properties:
        type:
          type: string
          enum:
            - UNAUTHORIZED
        code:
          type: string
          enum:
            - UNAUTHORIZED
        message:
          type: string
    IdentityDefaultForbiddenError:
      type: object
      description: The response body for a 403 request
      properties:
        message:
          type: string
    IdentityNotFoundError:
      type: object
      description: The response body for a 404 request
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - TOKEN_NOT_FOUND
            - DRIVER_NOT_FOUND
            - INVITE_CODE_NOT_FOUND
            - TOKEN_AND_SITE_PARTNER_NOT_FOUND
            - INVITATION_NOT_FOUND
            - SITE_PARTNER_NOT_FOUND
            - NETWORK_VERIFY_SERVICE_NOT_FOUND
            - PAYMENT_TERMINAL_NOT_FOUND
            - ASSET_NOT_FOUND
            - ACTIVE_SUBSCRIPTION_NOT_FOUND
            - UNSUCESSFULL_JUNCTION_DETACHMENT
        message:
          type: string
    IdentityInternalServerError:
      type: object
      description: The response body for a 500 request
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        code:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
        message:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````